<?php
namespace Teknisa\PED\Modules\Pedidos\Controllers;

use Teknisa\PED\Controllers\TeknisaCrud;
use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DataSource\ParameterBag;
use Teknisa\Libs\Util\Libraries\PHPMailer;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Request\Row;
use Zeedhi\Framework\DTO;

class ped00200ConfirmacaoController extends TeknisaCrud {

    public function saveItem($request, $response) {
        $this->dataSourceNameToSave = 'itempedido';
        $dataSetRequest = $request->getDataSet();
        $rows = $dataSetRequest->getRows();
        $dataSet = new DataSet ("data", $rows[0]->getArrayCopy());
        $requestSalvar = new DTO\Request\dataSet($dataSet, $request->getMethod(),$request->getRoutePath(), $request->getUserId());
        //var_dump($requestSalvar);
        parent::save($requestSalvar, $response);
    }
    
    public function saveJust(Row $request, DTO\Response $response) {
        $this->dataSourceName = 'hisitemped_justexchis_operador';
        $row  = $request->getRow();
        
        try {
            foreach($row as $just) {
                $dataSet = new DataSet($this->dataSourceName, array($just));
                $requestSalvar = new DTO\Request\DataSet($dataSet, $request->getMethod(),$request->getRoutePath(), $request->getUserId());
                parent::save($requestSalvar, $response);
            }
            
        } catch (\Exception $e) {
            if(!(count($response->getError()))) {
                $response->setError(new Error("Error in data save. ". $e->getMessage(), 500));
            }
        }
        
    }
}